import pg from "./pg";
cc.Class({
    extends: cc.Component,

    properties: {
        costtime: 4,
        // foo: {
        //     // ATTRIBUTES:
        //     default: null,        // The default value will be used only when the component attaching
        //                           // to a node for the first time
        //     type: cc.SpriteFrame, // optional, default is typeof default
        //     serializable: true,   // optional, default is true
        // },
        // bar: {
        //     get () {
        //         return this._bar;
        //     },
        //     set (value) {
        //         this._bar = value;
        //     }
        // },
    },

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {},

    start() {
        let progressBar = pg.view.findComponent(this, cc.ProgressBar);
        progressBar.progress = 0;

        setInterval(() => {
            if (!this.node.active) {
                progressBar.progress = 0;
                return;
            }
            this.updateTime();
        }, 30);//30ms 执行一次
    },

    updateTime() {
        let progressBar = pg.view.findComponent(this, cc.ProgressBar);
        progressBar.progress = progressBar.progress + (1 / (1000 / 30) / this.costtime);
    },
    update(dt) {
        //1 60      2000      1        
    },
});
